org.springframework.beans

## Class TypeMismatchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.beans.BeansException
          - - org.springframework.beans.PropertyAccessException
            - - org.springframework.beans.TypeMismatchException

- All Implemented Interfaces:
    Serializable, ErrorCoded
  Direct Known Subclasses:
    ConversionNotSupportedException

      public class TypeMismatchException
      extends PropertyAccessException

  Exception thrown on a type mismatch when trying to set a bean property.
  Author:
    Rod Johnson, Juergen Hoeller
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ERROR_CODE` Error code that a type mismatch error will be registered with.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeMismatchException(Object value, Class<?> requiredType)` Create a new TypeMismatchException without PropertyChangeEvent.
    `TypeMismatchException(Object value, Class<?> requiredType, Throwable cause)` Create a new TypeMismatchException without PropertyChangeEvent.
    `TypeMismatchException(PropertyChangeEvent propertyChangeEvent, Class<?> requiredType)` Create a new TypeMismatchException.
    `TypeMismatchException(PropertyChangeEvent propertyChangeEvent, Class<?> requiredType, Throwable cause)` Create a new TypeMismatchException.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorCode()` Return the error code associated with this failure.
    `Class<?>` | `getRequiredType()` Return the required target type, if any.
    `Object` | `getValue()` Return the offending value (may be `null`)

    - ### Methods inherited from class org.springframework.beans.PropertyAccessException

      `getPropertyChangeEvent, getPropertyName`

    - ### Methods inherited from class org.springframework.beans.BeansException

      `equals, hashCode`

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ERROR_CODE

          public static final String ERROR_CODE

      Error code that a type mismatch error will be registered with.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TypeMismatchException

          public TypeMismatchException(PropertyChangeEvent propertyChangeEvent,
                                       Class<?> requiredType)

      Create a new TypeMismatchException.
      Parameters:
        `propertyChangeEvent` - the PropertyChangeEvent that resulted in the problem
        `requiredType` - the required target type

    - #### TypeMismatchException

          public TypeMismatchException(PropertyChangeEvent propertyChangeEvent,
                                       Class<?> requiredType,
                                       Throwable cause)

      Create a new TypeMismatchException.
      Parameters:
        `propertyChangeEvent` - the PropertyChangeEvent that resulted in the problem
        `requiredType` - the required target type (or `null` if not known)
        `cause` - the root cause (may be `null`)

    - #### TypeMismatchException

          public TypeMismatchException(Object value,
                                       Class<?> requiredType)

      Create a new TypeMismatchException without PropertyChangeEvent.
      Parameters:
        `value` - the offending value that couldn't be converted (may be `null`)
        `requiredType` - the required target type (or `null` if not known)

    - #### TypeMismatchException

          public TypeMismatchException(Object value,
                                       Class<?> requiredType,
                                       Throwable cause)

      Create a new TypeMismatchException without PropertyChangeEvent.
      Parameters:
        `value` - the offending value that couldn't be converted (may be `null`)
        `requiredType` - the required target type (or `null` if not known)
        `cause` - the root cause (may be `null`)

  - ### Method Detail

    - #### getValue

          public Object getValue()

      Return the offending value (may be `null`)
      Overrides:
        `getValue` in class `PropertyAccessException`

    - #### getRequiredType

          public Class<?> getRequiredType()

      Return the required target type, if any.

    - #### getErrorCode

          public String getErrorCode()

      Description copied from interface: `ErrorCoded`
      Return the error code associated with this failure. The GUI can render this any way it pleases, allowing for localization etc.
      Returns:
        a String error code associated with this failure, or `null` if not error-coded